Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty
Interface SessionIdManager

All Superinterfaces:
  LifeCycle

All Known Implementing Classes:
  AbstractSessionIdManager, HashSessionIdManager, TerracottaSessionIdManager

    public interface SessionIdManager

extends LifeCycle

Author:
  gregw

Nested Class Summary

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`LifeCycle.Listener`

Method Summary
`void` | `addSession(javax.servlet.http.HttpSession session)` Add a session to the list of known sessions for a given ID.
`java.lang.String` | `getClusterId(java.lang.String nodeId)` Get a cluster ID from a node ID.
`java.lang.String` | `getNodeId(java.lang.String clusterId, javax.servlet.http.HttpServletRequest request)` Get a node ID from a cluster ID and a request
`java.lang.String` | `getWorkerName()`
`boolean` | `idInUse(java.lang.String id)`
`void` | `invalidateAll(java.lang.String id)` Call `HttpSession.invalidate()` on all known sessions for the given id.
`java.lang.String` | `newSessionId(javax.servlet.http.HttpServletRequest request, long created)`
`void` | `removeSession(javax.servlet.http.HttpSession session)` Remove session from the list of known sessions for a given ID.

Methods inherited from interface org.mortbay.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Method Detail

### idInUse

    boolean idInUse(java.lang.String id)

  Parameters:
    `id` - The session ID without any cluster node extension
  Returns:
    True if the session ID is in use by at least one context.

### addSession

    void addSession(javax.servlet.http.HttpSession session)

  Add a session to the list of known sessions for a given ID.

  Parameters:
    `session` - The session

### removeSession

    void removeSession(javax.servlet.http.HttpSession session)

  Remove session from the list of known sessions for a given ID.

  Parameters:
    `session` -

### invalidateAll

    void invalidateAll(java.lang.String id)

  Call `HttpSession.invalidate()` on all known sessions for the given id.

  Parameters:
    `id` - The session ID without any cluster node extension

### newSessionId

    java.lang.String newSessionId(javax.servlet.http.HttpServletRequest request,
                                  long created)

  Parameters:
    `request` -
    `created` -
  Returns:

### getWorkerName

    java.lang.String getWorkerName()

### getClusterId

    java.lang.String getClusterId(java.lang.String nodeId)

  Get a cluster ID from a node ID. Strip node identifier from a located session ID.

  Parameters:
    `nodeId` -
  Returns:

### getNodeId

    java.lang.String getNodeId(java.lang.String clusterId,
                               javax.servlet.http.HttpServletRequest request)

  Get a node ID from a cluster ID and a request

  Parameters:
    `clusterId` - The ID of the session
    `request` - The request that for the session (or null)
  Returns:
    The session ID qualified with the node ID.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.